from xl.reader import import_xlsx, import_csv
import os

def main():
    from argparse import ArgumentParser
    parser = ArgumentParser()
    parser.add_argument('input', metavar='input', help='input file (xlsx or csv)')
    parser.add_argument('output', metavar='output', help='output folder')
    parser.add_argument('--locale', metavar='locale',
            help='user locale', default='zh_TW')
    parser.add_argument('--encoding', metavar='encoding',
                        help='encoding of csv file', default='utf-8')
    args = parser.parse_args()

    input_file = args.input
    output_dir = args.output

    _, ext = os.path.splitext(input_file)
    if ext in ('.xlsx', '.xlsm', '.xltx', '.xltm'):
        import_xlsx(input_file, output_dir, args.locale)
    elif ext == '.csv':
        encoding = args.encoding.upper()
        # utf-16 is superset of ucs-2
        if encoding == 'UCS-2LE':
            encoding = 'utf-16le'
        elif encoding == 'UCS-2BE':
            encoding = 'utf-16be'

        import_csv(input_file, output_dir, encoding)

if __name__ == "__main__":
    main()
