<?php

namespace PhpOffice\PhpPresentation\Writer\ProseMirror;

use PhpOffice\PhpPresentation\Writer\ProseMirror\Master;

class SubTitleHolder extends Holder
{
    protected function setContent()
    {
        $slideType = ($this->slide instanceof Master) ? 'master' : 'layout';
        $this->type = 'sub_title_' . $slideType . '_holder';

        $shape = new Node();
        $shape->type = 'title_' . $slideType . '_holder_shape';

        $textBlock = new Node();
        $textBlock->type = 'title_' . $slideType . '_holder_text_block';
        $this->setVerticalAlign($textBlock);
        $this->setTextBlockPadding($textBlock);

        $paragraph = new Paragraph();
        $paragraph->type = 'holder_paragraph';

        $styles = array();

        $phpStyle = $this->phpShape->getListStyle()->getStyleAtLvl(1);
        if (isset($phpStyle)) {
            $paragraph->setStyles($phpStyle);
            $this->slide->getTextStyles($phpStyle->getFont(), $styles, true);
        }

        $phpStyle = $this->slide->getTitleStyleAtLv(1);
        if (isset($phpStyle)) {
            $paragraph->setStyles($phpStyle);
            $this->slide->getTextStyles($phpStyle->getFont(), $styles, true);
        }

        if ($this->slide instanceof Layout) {
            $phpParagraph = $this->phpShape->getParagraph(0);
            $paragraph->setStyles($phpParagraph);
            $this->slide->getTextStyles($phpParagraph->getFont(), $styles, true);
        }
        $textMark = array();
        $this->slide->styleToMarks($styles, $textMark);
        $paragraph->setAttr('textMark', $textMark);

        $textBlock->addContent($paragraph);
        $shape->addContent($textBlock);
        $this->addContent($shape);
    }
}

?>
