<?php
namespace PhpOffice\PhpWord\Reader\Word2007;

use PhpOffice\PhpWord\PhpWord;
use PhpOffice\PhpWord\Shared\XMLReader;

class CommentsExtended extends AbstractPart
{
    public function read(PhpWord $phpWord)
    {
        global $paraIdRelation;

        $paraIdRelation = array();
        $xmlReader = new XMLReader();
        $xmlReader->getDomFromZip($this->docFile, $this->xmlFile);
        $nodes = $xmlReader->getElements('w15:commentEx');
        foreach ($nodes as $node) {
            $paraId = $xmlReader->getAttribute('w15:paraId', $node);
            $paraIdParent = $xmlReader->getAttribute('w15:paraIdParent', $node);
            if ( is_null($paraIdRelation[$paraIdParent]) ) {
                $paraIdRelation[$paraIdParent] = array();
            }
            $paraIdRelation[$paraIdParent][] = $paraId;
        }
    }
}
